Add vector/raster layer somtimes has no directories

2006-08-31 02:56 AM - anonymous -

Status: Closed

Priority: Low

Assignee: Gary Sherman

Category: GUI

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10315

Description

When I click "Add vector/raster layer" and it opens directory WITHOUT any vector or raster layer in it, also no directories are shown.

Steps to reproduce:

mkdir foo

mkdir foo/foo2

touch foo/bar.shp

Add bar.shp to QGIS (it would fail, but thats OK);

rm foo/bar.shp

Click on "add vector layer" and You should see empty dialogue. No bar.shp (as it is deleted) and no foo2 (its still there). Navigating one

directory up and back fixes problem.

QGIS: from SVN revision 5742.

Qt: Kubuntu default: Qt 4.1.2

History

#1 - 2006-08-31 09:24 PM - anonymous -

- Resolution set to fixed

- Status changed from Open to Closed

This is a problem in Qt. Change to Qt 4.1.4 and it should go away (see ticket #51).

#2 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted
